package com.jjt.biz.service;

import com.jjt.biz.vo.YrEnergyTradeVO;
import com.jjt.biz.vo.YrProdEfficiencyVO;
import com.jjt.biz.vo.YrProdLineStatusVO;
import com.jjt.biz.vo.YrProdTradeVO;

import java.util.List;

/**
 * 首页统计数据
 *
 * @author wukai
 */
public interface IApiYrService {
    /**
     * 获取产线状态
     *
     * @return 结果
     */
    YrProdLineStatusVO status();

    /**
     * 获取生产效率
     *
     * @return 结果
     */
    List<YrProdEfficiencyVO> eff();

    /**
     * 获取生产趋势
     *
     * @return 结果
     */
    List<YrProdTradeVO> prodTrade();

    /**
     * 获取能耗趋势
     *
     * @return 结果
     */
    List<YrEnergyTradeVO> energyTrade();
}
