package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 员工产量统计对象 TWIN_EMP_CALC
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "YrTwinVO", description = "染整线统计视图")
@Data
public class YrTwinVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("产线状态")
    private YrProdLineStatusVO status;
    @ApiModelProperty("生产效率")
    private List<YrProdEfficiencyVO> eff;
    @ApiModelProperty("生产趋势")
    private List<YrProdTradeVO> prodTrade;
    @ApiModelProperty("能耗趋势")
    private List<YrEnergyTradeVO> energyTrade;
}
