package com.jjt.order.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * mes库存
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@ApiModel(value = "MesStock", description = "mes库存")
@Data
public class MesStock {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("仓库编码")
    private String code;
    @ApiModelProperty("仓库名称")
    private String name;
    @ApiModelProperty("物料类型")
    private String clas;
    @ApiModelProperty("单据类型")
    private String type;
    @ApiModelProperty("出库目标")
    private String target;
    @ApiModelProperty("出/入库数量")
    private Long total;
    @ApiModelProperty("入库/出库 true:入库 false:出库")
    private Boolean flag;
    @ApiModelProperty("时间")
    private LocalDate date;
    @ApiModelProperty("key")
    private String key;
}
