package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 印花机设备管理对象 TWIN_DEVICE_YHJ
 *
 * @author wukai
 * @date 2025-03-06
 */
@ApiModel(value = "TwinDeviceYhj", description = "印花机设备管理")
@Data
public class TwinDeviceYhj extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty("ID")
    @TableId
    private Long deviceId;

    /** 设备名称 */
    @ApiModelProperty("设备名称")
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备编码 */
    @ApiModelProperty("设备编码")
    @Excel(name = "设备编码")
    private String deviceCode;

    /** 设备路径 */
    @ApiModelProperty("设备路径")
    @Excel(name = "设备路径")
    private String devicePath;

}
