package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * IndexEfficiency$
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "IndexData", description = "首页-数据")
@Data
public class IndexData {
    @ApiModelProperty("设备数据")
    private IndexDevice device;
    @ApiModelProperty("效率数据")
    private IndexEfficiency efficiency;
    @ApiModelProperty("告警数据")
    private List<IndexAlarm> alarm;
    @ApiModelProperty("周曲线数据")
    private List<WeekData> weekData;
    @ApiModelProperty("盘头数据")
    private List<IndexPan> pan;
    @ApiModelProperty("已接入设备列表")
    private List<String> onlineDevice;
}
