package com.jjt.task;

import com.jjt.biz.service.IApiService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 首页定时任务
 *
 * @author wukai
 * @date 2025-1-17 23:27:26
 */
@Component("index")
public class IndexTask {
    @Resource
    private IApiService apiService;

    /**
     * 统计当前数据
     */
    public void curr() {
        apiService.curr();
    }

    /**
     * 统计当天数据
     */

    public void today() {
        apiService.today();
    }

}
