/*
 Navicat Premium Data Transfer

 Source Server         : mssql2019
 Source Server Type    : SQL Server
 Source Server Version : 15004415 (15.00.4415)
 Source Host           : 192.168.188.88:1433
 Source Catalog        : twin2025
 Source Schema         : dbo

 Target Server Type    : SQL Server
 Target Server Version : 15004415 (15.00.4415)
 File Encoding         : 65001

 Date: 09/01/2025 20:50:47
*/


-- ----------------------------
-- Table structure for GEN_TABLE
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[GEN_TABLE]') AND type IN ('U'))
	DROP TABLE [dbo].[GEN_TABLE]
GO

CREATE TABLE [dbo].[GEN_TABLE] (
  [TABLE_ID] int  IDENTITY(1,1) NOT NULL,
  [TABLE_NAME] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [TABLE_COMMENT] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [SUB_TABLE_NAME] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [SUB_TABLE_FK_NAME] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CLASS_NAME] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [TPL_CATEGORY] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT 'crud' NULL,
  [TPL_WEB_TYPE] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [PACKAGE_NAME] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [MODULE_NAME] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [BUSINESS_NAME] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [FUNCTION_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [FUNCTION_AUTHOR] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [GEN_TYPE] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [GEN_PATH] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '/' NULL,
  [OPTIONS] nvarchar(1000) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[GEN_TABLE] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'编号',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'TABLE_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表名称',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'TABLE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表描述',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'TABLE_COMMENT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联子表的表名',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'SUB_TABLE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'子表关联的外键名',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'SUB_TABLE_FK_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'实体类名称',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'CLASS_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'使用的模板（crud单表操作 tree树表操作）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'TPL_CATEGORY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'前端模板类型（element-ui模版 element-plus模版）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'TPL_WEB_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成包路径',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'PACKAGE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成模块名',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'MODULE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成业务名',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'BUSINESS_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成功能名',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'FUNCTION_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成功能作者',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'FUNCTION_AUTHOR'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成代码方式（0zip压缩包 1自定义路径）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'GEN_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'生成路径（不填默认项目路径）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'GEN_PATH'
GO

EXEC sp_addextendedproperty
'MS_Description', N'其它生成选项',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'OPTIONS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'代码生成业务表',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE'
GO


-- ----------------------------
-- Records of GEN_TABLE
-- ----------------------------
SET IDENTITY_INSERT [dbo].[GEN_TABLE] ON
GO

SET IDENTITY_INSERT [dbo].[GEN_TABLE] OFF
GO


-- ----------------------------
-- Table structure for GEN_TABLE_COLUMN
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[GEN_TABLE_COLUMN]') AND type IN ('U'))
	DROP TABLE [dbo].[GEN_TABLE_COLUMN]
GO

CREATE TABLE [dbo].[GEN_TABLE_COLUMN] (
  [COLUMN_ID] int  IDENTITY(1,1) NOT NULL,
  [TABLE_ID] int  NULL,
  [COLUMN_NAME] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [COLUMN_COMMENT] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [COLUMN_TYPE] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [JAVA_TYPE] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [JAVA_FIELD] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_PK] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_INCREMENT] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_REQUIRED] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_INSERT] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_EDIT] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_LIST] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_QUERY] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [QUERY_TYPE] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT 'EQ' NULL,
  [HTML_TYPE] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DICT_TYPE] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [SORT] int  NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL
)
GO

ALTER TABLE [dbo].[GEN_TABLE_COLUMN] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'编号',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'COLUMN_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'归属表编号',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'TABLE_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'列名称',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'COLUMN_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'列描述',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'COLUMN_COMMENT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'列类型',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'COLUMN_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'JAVA类型',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'JAVA_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'JAVA字段名',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'JAVA_FIELD'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否主键（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_PK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否自增（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_INCREMENT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_REQUIRED'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否为插入字段（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_INSERT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否编辑字段（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_EDIT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否列表字段（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_LIST'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否查询字段（1是）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'IS_QUERY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'查询方式（等于、不等于、大于、小于、范围）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'QUERY_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'HTML_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典类型',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'DICT_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'排序',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'SORT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'代码生成业务表字段',
'SCHEMA', N'dbo',
'TABLE', N'GEN_TABLE_COLUMN'
GO


-- ----------------------------
-- Records of GEN_TABLE_COLUMN
-- ----------------------------
SET IDENTITY_INSERT [dbo].[GEN_TABLE_COLUMN] ON
GO

SET IDENTITY_INSERT [dbo].[GEN_TABLE_COLUMN] OFF
GO


-- ----------------------------
-- Table structure for SYS_CONFIG
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_CONFIG]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_CONFIG]
GO

CREATE TABLE [dbo].[SYS_CONFIG] (
  [CONFIG_ID] int  IDENTITY(1,1) NOT NULL,
  [CONFIG_NAME] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CONFIG_KEY] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CONFIG_VALUE] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CONFIG_TYPE] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 'N' NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_CONFIG] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数主键',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CONFIG_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CONFIG_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数键名',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CONFIG_KEY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数键值',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CONFIG_VALUE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'系统内置（Y是 N否）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CONFIG_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数配置表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_CONFIG'
GO


-- ----------------------------
-- Records of SYS_CONFIG
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_CONFIG] ON
GO

INSERT INTO [dbo].[SYS_CONFIG] ([CONFIG_ID], [CONFIG_NAME], [CONFIG_KEY], [CONFIG_VALUE], [CONFIG_TYPE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1', N'主框架页-默认皮肤样式名称', N'sys.index.skinName', N'skin-blue', N'Y', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow')
GO

INSERT INTO [dbo].[SYS_CONFIG] ([CONFIG_ID], [CONFIG_NAME], [CONFIG_KEY], [CONFIG_VALUE], [CONFIG_TYPE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'2', N'用户管理-账号初始密码', N'sys.user.initPassword', N'123456', N'Y', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'初始化密码 123456')
GO

INSERT INTO [dbo].[SYS_CONFIG] ([CONFIG_ID], [CONFIG_NAME], [CONFIG_KEY], [CONFIG_VALUE], [CONFIG_TYPE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'3', N'主框架页-侧边栏主题', N'sys.index.sideTheme', N'theme-dark', N'Y', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'深色主题theme-dark，浅色主题theme-light')
GO

INSERT INTO [dbo].[SYS_CONFIG] ([CONFIG_ID], [CONFIG_NAME], [CONFIG_KEY], [CONFIG_VALUE], [CONFIG_TYPE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'4', N'账号自助-验证码开关', N'sys.account.captchaEnabled', N'false', N'Y', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'是否开启验证码功能（true开启，false关闭）')
GO

INSERT INTO [dbo].[SYS_CONFIG] ([CONFIG_ID], [CONFIG_NAME], [CONFIG_KEY], [CONFIG_VALUE], [CONFIG_TYPE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'5', N'账号自助-是否开启用户注册功能', N'sys.account.registerUser', N'false', N'Y', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'是否开启注册用户功能（true开启，false关闭）')
GO

INSERT INTO [dbo].[SYS_CONFIG] ([CONFIG_ID], [CONFIG_NAME], [CONFIG_KEY], [CONFIG_VALUE], [CONFIG_TYPE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'6', N'用户登录-黑名单列表', N'sys.login.blackIPList', N'', N'Y', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）')
GO

SET IDENTITY_INSERT [dbo].[SYS_CONFIG] OFF
GO


-- ----------------------------
-- Table structure for SYS_DEPT
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_DEPT]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_DEPT]
GO

CREATE TABLE [dbo].[SYS_DEPT] (
  [DEPT_ID] int  IDENTITY(1,1) NOT NULL,
  [PARENT_ID] int DEFAULT 0 NULL,
  [ANCESTORS] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DEPT_NAME] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [ORDER_NUM] int DEFAULT 0 NULL,
  [LEADER] nvarchar(20) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [PHONE] nvarchar(11) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [EMAIL] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [DEL_FLAG] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL
)
GO

ALTER TABLE [dbo].[SYS_DEPT] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门id',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'DEPT_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父部门id',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'PARENT_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'祖级列表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'ANCESTORS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'DEPT_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'显示顺序',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'ORDER_NUM'
GO

EXEC sp_addextendedproperty
'MS_Description', N'负责人',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'LEADER'
GO

EXEC sp_addextendedproperty
'MS_Description', N'联系电话',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'PHONE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'邮箱',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'EMAIL'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'删除标志（0代表存在 2代表删除）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'DEL_FLAG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DEPT'
GO


-- ----------------------------
-- Records of SYS_DEPT
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_DEPT] ON
GO

INSERT INTO [dbo].[SYS_DEPT] ([DEPT_ID], [PARENT_ID], [ANCESTORS], [DEPT_NAME], [ORDER_NUM], [LEADER], [PHONE], [EMAIL], [STATUS], [DEL_FLAG], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME]) VALUES (N'100', N'0', N'0', N'聚聚通', N'0', N'', N'15888888888', N'', N'0', N'0', N'admin', N'2025-01-08 17:04:32.000', N'admin', N'2025-01-08 18:05:37.000')
GO

SET IDENTITY_INSERT [dbo].[SYS_DEPT] OFF
GO


-- ----------------------------
-- Table structure for SYS_DICT_DATA
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_DICT_DATA]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_DICT_DATA]
GO

CREATE TABLE [dbo].[SYS_DICT_DATA] (
  [DICT_CODE] int  IDENTITY(1,1) NOT NULL,
  [DICT_SORT] int  NULL,
  [DICT_LABEL] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DICT_VALUE] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DICT_TYPE] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CSS_CLASS] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [LIST_CLASS] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_DEFAULT] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 'N' NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_DICT_DATA] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典编码',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'DICT_CODE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典排序',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'DICT_SORT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典标签',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'DICT_LABEL'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典键值',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'DICT_VALUE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典类型',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'DICT_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'样式属性（其他样式扩展）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'CSS_CLASS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表格回显样式',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'LIST_CLASS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否默认（Y是 N否）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'IS_DEFAULT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典数据表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_DATA'
GO


-- ----------------------------
-- Records of SYS_DICT_DATA
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_DICT_DATA] ON
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1', N'1', N'男', N'0', N'sys_user_sex', N'', N'', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'性别男')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'2', N'2', N'女', N'1', N'sys_user_sex', N'', N'', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'性别女')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'3', N'3', N'未知', N'2', N'sys_user_sex', N'', N'', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'性别未知')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'4', N'1', N'显示', N'0', N'sys_show_hide', N'', N'primary', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'显示菜单')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'5', N'2', N'隐藏', N'1', N'sys_show_hide', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'隐藏菜单')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'6', N'1', N'正常', N'0', N'sys_normal_disable', N'', N'primary', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'正常状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'7', N'2', N'停用', N'1', N'sys_normal_disable', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'停用状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'8', N'1', N'正常', N'0', N'sys_job_status', N'', N'primary', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'正常状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'9', N'2', N'暂停', N'1', N'sys_job_status', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'停用状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'10', N'1', N'默认', N'DEFAULT', N'sys_job_group', N'', N'', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'默认分组')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'11', N'2', N'系统', N'SYSTEM', N'sys_job_group', N'', N'', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统分组')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'12', N'1', N'是', N'Y', N'sys_yes_no', N'', N'primary', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统默认是')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'13', N'2', N'否', N'N', N'sys_yes_no', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统默认否')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'14', N'1', N'通知', N'1', N'sys_notice_type', N'', N'warning', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'通知')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'15', N'2', N'公告', N'2', N'sys_notice_type', N'', N'success', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'公告')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'16', N'1', N'正常', N'0', N'sys_notice_status', N'', N'primary', N'Y', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'正常状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'17', N'2', N'关闭', N'1', N'sys_notice_status', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'关闭状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'18', N'99', N'其他', N'0', N'sys_oper_type', N'', N'info', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'其他操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'19', N'1', N'新增', N'1', N'sys_oper_type', N'', N'info', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'新增操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'20', N'2', N'修改', N'2', N'sys_oper_type', N'', N'info', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'修改操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'21', N'3', N'删除', N'3', N'sys_oper_type', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'删除操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'22', N'4', N'授权', N'4', N'sys_oper_type', N'', N'primary', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'授权操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'23', N'5', N'导出', N'5', N'sys_oper_type', N'', N'warning', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'导出操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'24', N'6', N'导入', N'6', N'sys_oper_type', N'', N'warning', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'导入操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'25', N'7', N'强退', N'7', N'sys_oper_type', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'强退操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'26', N'8', N'生成代码', N'8', N'sys_oper_type', N'', N'warning', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'生成操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'27', N'9', N'清空数据', N'9', N'sys_oper_type', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'清空操作')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'28', N'1', N'成功', N'0', N'sys_common_status', N'', N'primary', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'正常状态')
GO

INSERT INTO [dbo].[SYS_DICT_DATA] ([DICT_CODE], [DICT_SORT], [DICT_LABEL], [DICT_VALUE], [DICT_TYPE], [CSS_CLASS], [LIST_CLASS], [IS_DEFAULT], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'29', N'2', N'失败', N'1', N'sys_common_status', N'', N'danger', N'N', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'停用状态')
GO

SET IDENTITY_INSERT [dbo].[SYS_DICT_DATA] OFF
GO


-- ----------------------------
-- Table structure for SYS_DICT_TYPE
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_DICT_TYPE]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_DICT_TYPE]
GO

CREATE TABLE [dbo].[SYS_DICT_TYPE] (
  [DICT_ID] int  IDENTITY(1,1) NOT NULL,
  [DICT_NAME] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DICT_TYPE] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_DICT_TYPE] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典主键',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'DICT_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'DICT_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典类型',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'DICT_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典类型表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_DICT_TYPE'
GO


-- ----------------------------
-- Records of SYS_DICT_TYPE
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_DICT_TYPE] ON
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1', N'用户性别', N'sys_user_sex', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'用户性别列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'2', N'菜单状态', N'sys_show_hide', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'菜单状态列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'3', N'系统开关', N'sys_normal_disable', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统开关列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'4', N'任务状态', N'sys_job_status', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'任务状态列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'5', N'任务分组', N'sys_job_group', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'任务分组列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'6', N'系统是否', N'sys_yes_no', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统是否列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'7', N'通知类型', N'sys_notice_type', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'通知类型列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'8', N'通知状态', N'sys_notice_status', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'通知状态列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'9', N'操作类型', N'sys_oper_type', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'操作类型列表')
GO

INSERT INTO [dbo].[SYS_DICT_TYPE] ([DICT_ID], [DICT_NAME], [DICT_TYPE], [STATUS], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'10', N'系统状态', N'sys_common_status', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'登录状态列表')
GO

SET IDENTITY_INSERT [dbo].[SYS_DICT_TYPE] OFF
GO


-- ----------------------------
-- Table structure for SYS_JOB
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_JOB]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_JOB]
GO

CREATE TABLE [dbo].[SYS_JOB] (
  [JOB_ID] int  IDENTITY(1,1) NOT NULL,
  [JOB_NAME] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [JOB_GROUP] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT 'DEFAULT' NULL,
  [INVOKE_TARGET] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CRON_EXPRESSION] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [MISFIRE_POLICY] nvarchar(20) COLLATE Chinese_PRC_CI_AS DEFAULT 3 NULL,
  [CONCURRENT] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 1 NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_JOB] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'任务ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'JOB_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'任务名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'JOB_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'任务组名',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'JOB_GROUP'
GO

EXEC sp_addextendedproperty
'MS_Description', N'调用目标字符串',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'INVOKE_TARGET'
GO

EXEC sp_addextendedproperty
'MS_Description', N'cron执行表达式',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'CRON_EXPRESSION'
GO

EXEC sp_addextendedproperty
'MS_Description', N'计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'MISFIRE_POLICY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否并发执行（0允许 1禁止）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'CONCURRENT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态（0正常 1暂停）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注信息',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'定时任务调度表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB'
GO


-- ----------------------------
-- Records of SYS_JOB
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_JOB] ON
GO

SET IDENTITY_INSERT [dbo].[SYS_JOB] OFF
GO


-- ----------------------------
-- Table structure for SYS_JOB_LOG
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_JOB_LOG]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_JOB_LOG]
GO

CREATE TABLE [dbo].[SYS_JOB_LOG] (
  [JOB_LOG_ID] int  IDENTITY(1,1) NOT NULL,
  [JOB_NAME] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [JOB_GROUP] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [INVOKE_TARGET] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [JOB_MESSAGE] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [EXCEPTION_INFO] nvarchar(2000) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL
)
GO

ALTER TABLE [dbo].[SYS_JOB_LOG] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'任务日志ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'JOB_LOG_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'任务名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'JOB_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'任务组名',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'JOB_GROUP'
GO

EXEC sp_addextendedproperty
'MS_Description', N'调用目标字符串',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'INVOKE_TARGET'
GO

EXEC sp_addextendedproperty
'MS_Description', N'日志信息',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'JOB_MESSAGE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'执行状态（0正常 1失败）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'异常信息',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'EXCEPTION_INFO'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'定时任务调度日志表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_JOB_LOG'
GO


-- ----------------------------
-- Records of SYS_JOB_LOG
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_JOB_LOG] ON
GO

SET IDENTITY_INSERT [dbo].[SYS_JOB_LOG] OFF
GO


-- ----------------------------
-- Table structure for SYS_LOGININFOR
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_LOGININFOR]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_LOGININFOR]
GO

CREATE TABLE [dbo].[SYS_LOGININFOR] (
  [INFO_ID] int  IDENTITY(1,1) NOT NULL,
  [USER_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IPADDR] nvarchar(128) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [LOGIN_LOCATION] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [BROWSER] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OS] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [MSG] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [LOGIN_TIME] datetime  NULL
)
GO

ALTER TABLE [dbo].[SYS_LOGININFOR] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'访问ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'INFO_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户账号',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'USER_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录IP地址',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'IPADDR'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录地点',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'LOGIN_LOCATION'
GO

EXEC sp_addextendedproperty
'MS_Description', N'浏览器类型',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'BROWSER'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作系统',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'OS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录状态（0成功 1失败）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'提示消息',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'MSG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'访问时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR',
'COLUMN', N'LOGIN_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'系统访问记录',
'SCHEMA', N'dbo',
'TABLE', N'SYS_LOGININFOR'
GO


-- ----------------------------
-- Records of SYS_LOGININFOR
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_LOGININFOR] ON
GO

SET IDENTITY_INSERT [dbo].[SYS_LOGININFOR] OFF
GO


-- ----------------------------
-- Table structure for SYS_MENU
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_MENU]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_MENU]
GO

CREATE TABLE [dbo].[SYS_MENU] (
  [MENU_ID] int  IDENTITY(1,1) NOT NULL,
  [MENU_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [PARENT_ID] int DEFAULT 0 NOT NULL,
  [ORDER_NUM] int DEFAULT 0 NULL,
  [PATH] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [COMPONENT] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [QUERY] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [ROUTE_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IS_FRAME] int DEFAULT 1 NULL,
  [IS_CACHE] int DEFAULT 0 NULL,
  [MENU_TYPE] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [VISIBLE] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [PERMS] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [ICON] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_MENU] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'MENU_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'MENU_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父菜单ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'PARENT_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'显示顺序',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'ORDER_NUM'
GO

EXEC sp_addextendedproperty
'MS_Description', N'路由地址',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'PATH'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件路径',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'COMPONENT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'路由参数',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'QUERY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'路由名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'ROUTE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否为外链（0是 1否）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'IS_FRAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否缓存（0缓存 1不缓存）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'IS_CACHE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单类型（M目录 C菜单 F按钮）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'MENU_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单状态（0显示 1隐藏）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'VISIBLE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'权限标识',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'PERMS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单图标',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'ICON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单权限表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_MENU'
GO


-- ----------------------------
-- Records of SYS_MENU
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_MENU] ON
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1', N'系统管理', N'0', N'1', N'system', NULL, N'', N'', N'1', N'0', N'M', N'0', N'0', N'', N'system', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统管理目录')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'2', N'系统监控', N'0', N'2', N'monitor', NULL, N'', N'', N'1', N'0', N'M', N'0', N'0', N'', N'monitor', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统监控目录')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'3', N'系统工具', N'0', N'3', N'tool', NULL, N'', N'', N'1', N'0', N'M', N'0', N'0', N'', N'tool', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统工具目录')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'100', N'用户管理', N'1', N'1', N'user', N'system/user/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:user:list', N'user', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'用户管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'101', N'角色管理', N'1', N'2', N'role', N'system/role/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:role:list', N'peoples', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'角色管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'102', N'菜单管理', N'1', N'3', N'menu', N'system/menu/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:menu:list', N'tree-table', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'菜单管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'103', N'部门管理', N'1', N'4', N'dept', N'system/dept/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:dept:list', N'tree', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'部门管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'104', N'岗位管理', N'1', N'5', N'post', N'system/post/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:post:list', N'post', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'岗位管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'105', N'字典管理', N'1', N'6', N'dict', N'system/dict/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:dict:list', N'dict', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'字典管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'106', N'参数设置', N'1', N'7', N'config', N'system/config/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'system:config:list', N'edit', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'参数设置菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'108', N'日志管理', N'1', N'9', N'log', N'', N'', N'', N'1', N'0', N'M', N'0', N'0', N'', N'log', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'日志管理菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'109', N'在线用户', N'2', N'1', N'online', N'monitor/online/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:online:list', N'online', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'在线用户菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'110', N'定时任务', N'2', N'2', N'job', N'monitor/job/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:job:list', N'job', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'定时任务菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'111', N'数据监控', N'2', N'3', N'druid', N'monitor/druid/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:druid:list', N'druid', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'数据监控菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'112', N'服务监控', N'2', N'4', N'server', N'monitor/server/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:server:list', N'server', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'服务监控菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'113', N'缓存监控', N'2', N'5', N'cache', N'monitor/cache/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:cache:list', N'redis', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'缓存监控菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'114', N'缓存列表', N'2', N'6', N'cacheList', N'monitor/cache/list', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:cache:list', N'redis-list', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'缓存列表菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'115', N'表单构建', N'3', N'1', N'build', N'tool/build/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'tool:build:list', N'build', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'表单构建菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'116', N'代码生成', N'3', N'2', N'gen', N'tool/gen/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'tool:gen:list', N'code', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'代码生成菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'117', N'系统接口', N'3', N'3', N'swagger', N'tool/swagger/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'tool:swagger:list', N'swagger', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'系统接口菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'500', N'操作日志', N'108', N'1', N'operlog', N'monitor/operlog/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:operlog:list', N'form', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'操作日志菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'501', N'登录日志', N'108', N'2', N'logininfor', N'monitor/logininfor/index', N'', N'', N'1', N'0', N'C', N'0', N'0', N'monitor:logininfor:list', N'logininfor', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'登录日志菜单')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1000', N'用户查询', N'100', N'1', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1001', N'用户新增', N'100', N'2', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1002', N'用户修改', N'100', N'3', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1003', N'用户删除', N'100', N'4', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1004', N'用户导出', N'100', N'5', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1005', N'用户导入', N'100', N'6', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:import', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1006', N'重置密码', N'100', N'7', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:user:resetPwd', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1007', N'角色查询', N'101', N'1', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:role:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1008', N'角色新增', N'101', N'2', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:role:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1009', N'角色修改', N'101', N'3', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:role:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1010', N'角色删除', N'101', N'4', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:role:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1011', N'角色导出', N'101', N'5', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:role:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1012', N'菜单查询', N'102', N'1', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:menu:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1013', N'菜单新增', N'102', N'2', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:menu:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1014', N'菜单修改', N'102', N'3', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:menu:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1015', N'菜单删除', N'102', N'4', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:menu:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1016', N'部门查询', N'103', N'1', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dept:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1017', N'部门新增', N'103', N'2', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dept:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1018', N'部门修改', N'103', N'3', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dept:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1019', N'部门删除', N'103', N'4', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dept:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1020', N'岗位查询', N'104', N'1', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:post:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1021', N'岗位新增', N'104', N'2', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:post:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1022', N'岗位修改', N'104', N'3', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:post:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1023', N'岗位删除', N'104', N'4', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:post:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1024', N'岗位导出', N'104', N'5', N'', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:post:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1025', N'字典查询', N'105', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dict:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1026', N'字典新增', N'105', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dict:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1027', N'字典修改', N'105', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dict:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1028', N'字典删除', N'105', N'4', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dict:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1029', N'字典导出', N'105', N'5', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:dict:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1030', N'参数查询', N'106', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:config:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1031', N'参数新增', N'106', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:config:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1032', N'参数修改', N'106', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:config:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1033', N'参数删除', N'106', N'4', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:config:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1034', N'参数导出', N'106', N'5', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'system:config:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1039', N'操作查询', N'500', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:operlog:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1040', N'操作删除', N'500', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:operlog:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1041', N'日志导出', N'500', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:operlog:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1042', N'登录查询', N'501', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:logininfor:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1043', N'登录删除', N'501', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:logininfor:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1044', N'日志导出', N'501', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:logininfor:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1045', N'账户解锁', N'501', N'4', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:logininfor:unlock', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1046', N'在线查询', N'109', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:online:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1047', N'批量强退', N'109', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:online:batchLogout', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1048', N'单条强退', N'109', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:online:forceLogout', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1049', N'任务查询', N'110', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:job:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1050', N'任务新增', N'110', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:job:add', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1051', N'任务修改', N'110', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:job:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1052', N'任务删除', N'110', N'4', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:job:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1053', N'状态修改', N'110', N'5', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:job:changeStatus', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1054', N'任务导出', N'110', N'6', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'monitor:job:export', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1055', N'生成查询', N'116', N'1', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'tool:gen:query', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1056', N'生成修改', N'116', N'2', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'tool:gen:edit', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1057', N'生成删除', N'116', N'3', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'tool:gen:remove', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1058', N'导入代码', N'116', N'4', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'tool:gen:import', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1059', N'预览代码', N'116', N'5', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'tool:gen:preview', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

INSERT INTO [dbo].[SYS_MENU] ([MENU_ID], [MENU_NAME], [PARENT_ID], [ORDER_NUM], [PATH], [COMPONENT], [QUERY], [ROUTE_NAME], [IS_FRAME], [IS_CACHE], [MENU_TYPE], [VISIBLE], [STATUS], [PERMS], [ICON], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1060', N'生成代码', N'116', N'6', N'#', N'', N'', N'', N'1', N'0', N'F', N'0', N'0', N'tool:gen:code', N'#', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'')
GO

SET IDENTITY_INSERT [dbo].[SYS_MENU] OFF
GO


-- ----------------------------
-- Table structure for SYS_OPER_LOG
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_OPER_LOG]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_OPER_LOG]
GO

CREATE TABLE [dbo].[SYS_OPER_LOG] (
  [OPER_ID] int  IDENTITY(1,1) NOT NULL,
  [TITLE] nvarchar(90) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [BUSINESS_TYPE] int DEFAULT 0 NULL,
  [METHOD] nvarchar(200) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [REQUEST_METHOD] nvarchar(10) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OPERATOR_TYPE] int DEFAULT 0 NULL,
  [OPER_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DEPT_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OPER_URL] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OPER_IP] nvarchar(128) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OPER_LOCATION] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OPER_PARAM] nvarchar(2000) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [JSON_RESULT] nvarchar(2000) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] int DEFAULT 0 NULL,
  [ERROR_MSG] nvarchar(2000) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OPER_TIME] datetime  NULL,
  [COST_TIME] int DEFAULT 0 NULL
)
GO

ALTER TABLE [dbo].[SYS_OPER_LOG] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'日志主键',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模块标题',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'TITLE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务类型（0其它 1新增 2修改 3删除）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'BUSINESS_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'方法名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'METHOD'
GO

EXEC sp_addextendedproperty
'MS_Description', N'请求方式',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'REQUEST_METHOD'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作类别（0其它 1后台用户 2手机端用户）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPERATOR_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作人员',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'DEPT_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'请求URL',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_URL'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主机地址',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_IP'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作地点',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_LOCATION'
GO

EXEC sp_addextendedproperty
'MS_Description', N'请求参数',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_PARAM'
GO

EXEC sp_addextendedproperty
'MS_Description', N'返回参数',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'JSON_RESULT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作状态（0正常 1异常）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'错误消息',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'ERROR_MSG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'OPER_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'消耗时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG',
'COLUMN', N'COST_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作日志记录',
'SCHEMA', N'dbo',
'TABLE', N'SYS_OPER_LOG'
GO


-- ----------------------------
-- Records of SYS_OPER_LOG
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_OPER_LOG] ON
GO

SET IDENTITY_INSERT [dbo].[SYS_OPER_LOG] OFF
GO


-- ----------------------------
-- Table structure for SYS_POST
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_POST]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_POST]
GO

CREATE TABLE [dbo].[SYS_POST] (
  [POST_ID] int  IDENTITY(1,1) NOT NULL,
  [POST_CODE] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [POST_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [POST_SORT] int  NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_POST] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'岗位ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'POST_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'岗位编码',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'POST_CODE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'岗位名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'POST_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'显示顺序',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'POST_SORT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'岗位信息表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_POST'
GO


-- ----------------------------
-- Records of SYS_POST
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_POST] ON
GO

SET IDENTITY_INSERT [dbo].[SYS_POST] OFF
GO


-- ----------------------------
-- Table structure for SYS_ROLE
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_ROLE]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_ROLE]
GO

CREATE TABLE [dbo].[SYS_ROLE] (
  [ROLE_ID] int  IDENTITY(1,1) NOT NULL,
  [ROLE_NAME] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [ROLE_KEY] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [ROLE_SORT] int  NULL,
  [DATA_SCOPE] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 1 NULL,
  [MENU_CHECK_STRICTLY] tinyint DEFAULT 1 NULL,
  [DEPT_CHECK_STRICTLY] tinyint DEFAULT 1 NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [DEL_FLAG] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_ROLE] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'ROLE_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'ROLE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色权限字符串',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'ROLE_KEY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'显示顺序',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'ROLE_SORT'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'DATA_SCOPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单树选择项是否关联显示',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'MENU_CHECK_STRICTLY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门树选择项是否关联显示',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'DEPT_CHECK_STRICTLY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'删除标志（0代表存在 2代表删除）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'DEL_FLAG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色信息表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE'
GO


-- ----------------------------
-- Records of SYS_ROLE
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_ROLE] ON
GO

INSERT INTO [dbo].[SYS_ROLE] ([ROLE_ID], [ROLE_NAME], [ROLE_KEY], [ROLE_SORT], [DATA_SCOPE], [MENU_CHECK_STRICTLY], [DEPT_CHECK_STRICTLY], [STATUS], [DEL_FLAG], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1', N'超级管理员', N'admin', N'1', N'1', N'1', N'1', N'0', N'0', N'admin', N'2025-01-08 17:04:32.000', N'', NULL, N'超级管理员')
GO

INSERT INTO [dbo].[SYS_ROLE] ([ROLE_ID], [ROLE_NAME], [ROLE_KEY], [ROLE_SORT], [DATA_SCOPE], [MENU_CHECK_STRICTLY], [DEPT_CHECK_STRICTLY], [STATUS], [DEL_FLAG], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'2', N'普通角色', N'common', N'2', N'2', N'1', N'1', N'0', N'0', N'admin', N'2025-01-08 17:04:32.000', N'admin', N'2025-01-08 17:56:43.000', N'普通角色')
GO

SET IDENTITY_INSERT [dbo].[SYS_ROLE] OFF
GO


-- ----------------------------
-- Table structure for SYS_ROLE_DEPT
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_ROLE_DEPT]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_ROLE_DEPT]
GO

CREATE TABLE [dbo].[SYS_ROLE_DEPT] (
  [ROLE_ID] int  NOT NULL,
  [DEPT_ID] int  NOT NULL
)
GO

ALTER TABLE [dbo].[SYS_ROLE_DEPT] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE_DEPT',
'COLUMN', N'ROLE_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE_DEPT',
'COLUMN', N'DEPT_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色和部门关联表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE_DEPT'
GO


-- ----------------------------
-- Records of SYS_ROLE_DEPT
-- ----------------------------
INSERT INTO [dbo].[SYS_ROLE_DEPT] ([ROLE_ID], [DEPT_ID]) VALUES (N'1', N'1')
GO


-- ----------------------------
-- Table structure for SYS_ROLE_MENU
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_ROLE_MENU]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_ROLE_MENU]
GO

CREATE TABLE [dbo].[SYS_ROLE_MENU] (
  [ROLE_ID] int  NOT NULL,
  [MENU_ID] int  NOT NULL
)
GO

ALTER TABLE [dbo].[SYS_ROLE_MENU] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE_MENU',
'COLUMN', N'ROLE_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE_MENU',
'COLUMN', N'MENU_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色和菜单关联表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_ROLE_MENU'
GO


-- ----------------------------
-- Records of SYS_ROLE_MENU
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_USER
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_USER]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_USER]
GO

CREATE TABLE [dbo].[SYS_USER] (
  [USER_ID] int  IDENTITY(1,1) NOT NULL,
  [DEPT_ID] int  NULL,
  [USER_NAME] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [NICK_NAME] nvarchar(30) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [USER_TYPE] nvarchar(2) COLLATE Chinese_PRC_CI_AS DEFAULT '00' NULL,
  [EMAIL] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [PHONENUMBER] nvarchar(11) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [SEX] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [AVATAR] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [PASSWORD] nvarchar(100) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [DEL_FLAG] nchar(1) COLLATE Chinese_PRC_CI_AS DEFAULT 0 NULL,
  [LOGIN_IP] nvarchar(128) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [LOGIN_DATE] datetime  NULL,
  [CREATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [CREATE_TIME] datetime  NULL,
  [UPDATE_BY] nvarchar(64) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [UPDATE_TIME] datetime  NULL,
  [REMARK] nvarchar(500) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL
)
GO

ALTER TABLE [dbo].[SYS_USER] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'DEPT_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户账号',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'USER_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户昵称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'NICK_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户类型（00系统用户）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'USER_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户邮箱',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'EMAIL'
GO

EXEC sp_addextendedproperty
'MS_Description', N'手机号码',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'PHONENUMBER'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户性别（0男 1女 2未知）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'SEX'
GO

EXEC sp_addextendedproperty
'MS_Description', N'头像地址',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'AVATAR'
GO

EXEC sp_addextendedproperty
'MS_Description', N'密码',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'PASSWORD'
GO

EXEC sp_addextendedproperty
'MS_Description', N'帐号状态（0正常 1停用）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'删除标志（0代表存在 2代表删除）',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'DEL_FLAG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'最后登录IP',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'LOGIN_IP'
GO

EXEC sp_addextendedproperty
'MS_Description', N'最后登录时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'LOGIN_DATE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'CREATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新者',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'UPDATE_BY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户信息表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER'
GO


-- ----------------------------
-- Records of SYS_USER
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_USER] ON
GO

INSERT INTO [dbo].[SYS_USER] ([USER_ID], [DEPT_ID], [USER_NAME], [NICK_NAME], [USER_TYPE], [EMAIL], [PHONENUMBER], [SEX], [AVATAR], [PASSWORD], [STATUS], [DEL_FLAG], [LOGIN_IP], [LOGIN_DATE], [CREATE_BY], [CREATE_TIME], [UPDATE_BY], [UPDATE_TIME], [REMARK]) VALUES (N'1', N'100', N'admin', N'超级管理员', N'00', N'xx@xx.com', N'15888888888', N'1', N'', N'$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', N'0', N'0', N'127.0.0.1', N'2025-01-09 20:18:36.880', N'admin', N'2025-01-08 17:04:32.000', N'', N'2025-01-09 12:18:36.833', N'管理员')
GO

SET IDENTITY_INSERT [dbo].[SYS_USER] OFF
GO


-- ----------------------------
-- Table structure for SYS_USER_ONLINE
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_USER_ONLINE]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_USER_ONLINE]
GO

CREATE TABLE [dbo].[SYS_USER_ONLINE] (
  [SESSIONID] int  IDENTITY(1,1) NOT NULL,
  [LOGIN_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [DEPT_NAME] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [IPADDR] nvarchar(128) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [LOGIN_LOCATION] nvarchar(255) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [BROWSER] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [OS] nvarchar(50) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [STATUS] nvarchar(10) COLLATE Chinese_PRC_CI_AS DEFAULT '' NULL,
  [START_TIMESTAMP] datetime  NULL,
  [LAST_ACCESS_TIME] datetime  NULL,
  [EXPIRE_TIME] int DEFAULT 0 NULL
)
GO

ALTER TABLE [dbo].[SYS_USER_ONLINE] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户会话id',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'SESSIONID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录账号',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'LOGIN_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'部门名称',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'DEPT_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录IP地址',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'IPADDR'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录地点',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'LOGIN_LOCATION'
GO

EXEC sp_addextendedproperty
'MS_Description', N'浏览器类型',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'BROWSER'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作系统',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'OS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'在线状态on_line在线off_line离线',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'session创建时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'START_TIMESTAMP'
GO

EXEC sp_addextendedproperty
'MS_Description', N'session最后访问时间',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'LAST_ACCESS_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'超时时间，单位为分钟',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE',
'COLUMN', N'EXPIRE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'在线用户记录',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ONLINE'
GO


-- ----------------------------
-- Records of SYS_USER_ONLINE
-- ----------------------------
SET IDENTITY_INSERT [dbo].[SYS_USER_ONLINE] ON
GO

SET IDENTITY_INSERT [dbo].[SYS_USER_ONLINE] OFF
GO


-- ----------------------------
-- Table structure for SYS_USER_POST
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_USER_POST]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_USER_POST]
GO

CREATE TABLE [dbo].[SYS_USER_POST] (
  [USER_ID] int  NOT NULL,
  [POST_ID] int  NOT NULL
)
GO

ALTER TABLE [dbo].[SYS_USER_POST] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_POST',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'岗位ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_POST',
'COLUMN', N'POST_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户与岗位关联表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_POST'
GO


-- ----------------------------
-- Records of SYS_USER_POST
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_USER_ROLE
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[SYS_USER_ROLE]') AND type IN ('U'))
	DROP TABLE [dbo].[SYS_USER_ROLE]
GO

CREATE TABLE [dbo].[SYS_USER_ROLE] (
  [USER_ID] int  NOT NULL,
  [ROLE_ID] int  NOT NULL
)
GO

ALTER TABLE [dbo].[SYS_USER_ROLE] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ROLE',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色ID',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ROLE',
'COLUMN', N'ROLE_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户和角色关联表',
'SCHEMA', N'dbo',
'TABLE', N'SYS_USER_ROLE'
GO


-- ----------------------------
-- Records of SYS_USER_ROLE
-- ----------------------------
INSERT INTO [dbo].[SYS_USER_ROLE] ([USER_ID], [ROLE_ID]) VALUES (N'1', N'1')
GO


-- ----------------------------
-- Auto increment value for GEN_TABLE
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[GEN_TABLE]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table GEN_TABLE
-- ----------------------------
ALTER TABLE [dbo].[GEN_TABLE] ADD CONSTRAINT [PK__GEN_TABL__8530632460EDC1F9] PRIMARY KEY CLUSTERED ([TABLE_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for GEN_TABLE_COLUMN
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[GEN_TABLE_COLUMN]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table GEN_TABLE_COLUMN
-- ----------------------------
ALTER TABLE [dbo].[GEN_TABLE_COLUMN] ADD CONSTRAINT [PK__GEN_TABL__D6F57493D85FF297] PRIMARY KEY CLUSTERED ([COLUMN_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_CONFIG
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_CONFIG]', RESEED, 8)
GO


-- ----------------------------
-- Primary Key structure for table SYS_CONFIG
-- ----------------------------
ALTER TABLE [dbo].[SYS_CONFIG] ADD CONSTRAINT [PK__SYS_CONF__8AEE09EE904C61BF] PRIMARY KEY CLUSTERED ([CONFIG_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_DEPT
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_DEPT]', RESEED, 106)
GO


-- ----------------------------
-- Primary Key structure for table SYS_DEPT
-- ----------------------------
ALTER TABLE [dbo].[SYS_DEPT] ADD CONSTRAINT [PK__SYS_DEPT__512A59AC12EE2A72] PRIMARY KEY CLUSTERED ([DEPT_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_DICT_DATA
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_DICT_DATA]', RESEED, 29)
GO


-- ----------------------------
-- Primary Key structure for table SYS_DICT_DATA
-- ----------------------------
ALTER TABLE [dbo].[SYS_DICT_DATA] ADD CONSTRAINT [PK__SYS_DICT__6497B59F55195191] PRIMARY KEY CLUSTERED ([DICT_CODE])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_DICT_TYPE
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_DICT_TYPE]', RESEED, 10)
GO


-- ----------------------------
-- Primary Key structure for table SYS_DICT_TYPE
-- ----------------------------
ALTER TABLE [dbo].[SYS_DICT_TYPE] ADD CONSTRAINT [PK__SYS_DICT__CB0CC84028012D1F] PRIMARY KEY CLUSTERED ([DICT_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_JOB
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_JOB]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table SYS_JOB
-- ----------------------------
ALTER TABLE [dbo].[SYS_JOB] ADD CONSTRAINT [PK__SYS_JOB__2AC9D60A0D89582C] PRIMARY KEY CLUSTERED ([JOB_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_JOB_LOG
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_JOB_LOG]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table SYS_JOB_LOG
-- ----------------------------
ALTER TABLE [dbo].[SYS_JOB_LOG] ADD CONSTRAINT [PK__SYS_JOB___C43235C06BA6444B] PRIMARY KEY CLUSTERED ([JOB_LOG_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_LOGININFOR
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_LOGININFOR]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table SYS_LOGININFOR
-- ----------------------------
ALTER TABLE [dbo].[SYS_LOGININFOR] ADD CONSTRAINT [PK__SYS_LOGI__93430BF434FF1245] PRIMARY KEY CLUSTERED ([INFO_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_MENU
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_MENU]', RESEED, 1062)
GO


-- ----------------------------
-- Primary Key structure for table SYS_MENU
-- ----------------------------
ALTER TABLE [dbo].[SYS_MENU] ADD CONSTRAINT [PK__SYS_MENU__6C4729793F6D2308] PRIMARY KEY CLUSTERED ([MENU_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_OPER_LOG
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_OPER_LOG]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table SYS_OPER_LOG
-- ----------------------------
ALTER TABLE [dbo].[SYS_OPER_LOG] ADD CONSTRAINT [PK__SYS_OPER__738AC78692F9EE18] PRIMARY KEY CLUSTERED ([OPER_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_POST
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_POST]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table SYS_POST
-- ----------------------------
ALTER TABLE [dbo].[SYS_POST] ADD CONSTRAINT [PK__SYS_POST__63FD176625037C9C] PRIMARY KEY CLUSTERED ([POST_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_ROLE
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_ROLE]', RESEED, 3)
GO


-- ----------------------------
-- Primary Key structure for table SYS_ROLE
-- ----------------------------
ALTER TABLE [dbo].[SYS_ROLE] ADD CONSTRAINT [PK__SYS_ROLE__5AC4D222A3D39855] PRIMARY KEY CLUSTERED ([ROLE_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table SYS_ROLE_DEPT
-- ----------------------------
ALTER TABLE [dbo].[SYS_ROLE_DEPT] ADD CONSTRAINT [PK__SYS_ROLE__8FD677B84F7B1355] PRIMARY KEY CLUSTERED ([ROLE_ID], [DEPT_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table SYS_ROLE_MENU
-- ----------------------------
ALTER TABLE [dbo].[SYS_ROLE_MENU] ADD CONSTRAINT [PK__SYS_ROLE__DC00A0B556A2B060] PRIMARY KEY CLUSTERED ([ROLE_ID], [MENU_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_USER
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_USER]', RESEED, 3)
GO


-- ----------------------------
-- Primary Key structure for table SYS_USER
-- ----------------------------
ALTER TABLE [dbo].[SYS_USER] ADD CONSTRAINT [PK__SYS_USER__F3BEEBFF12CA955D] PRIMARY KEY CLUSTERED ([USER_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Auto increment value for SYS_USER_ONLINE
-- ----------------------------
DBCC CHECKIDENT ('[dbo].[SYS_USER_ONLINE]', RESEED, 1)
GO


-- ----------------------------
-- Primary Key structure for table SYS_USER_ONLINE
-- ----------------------------
ALTER TABLE [dbo].[SYS_USER_ONLINE] ADD CONSTRAINT [PK__SYS_USER__FC86FCBF0FB41D32] PRIMARY KEY CLUSTERED ([SESSIONID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table SYS_USER_POST
-- ----------------------------
ALTER TABLE [dbo].[SYS_USER_POST] ADD CONSTRAINT [PK__SYS_USER__85813A894C5FAB15] PRIMARY KEY CLUSTERED ([USER_ID], [POST_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table SYS_USER_ROLE
-- ----------------------------
ALTER TABLE [dbo].[SYS_USER_ROLE] ADD CONSTRAINT [PK__SYS_USER__C612A6DDF31371D4] PRIMARY KEY CLUSTERED ([USER_ID], [ROLE_ID])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO

